> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User

> Update an existing User



## OpenAPI

````yaml patch /v2/action/glasscore/user/{id}
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /v2/action/glasscore/user/{id}:
    patch:
      tags:
        - User
      summary: Update User
      description: Update an existing User
      operationId: UpdateUser
      parameters:
        - $ref: '#/components/parameters/id'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                avatar:
                  type: string
                  description: URL or identifier for the user's profile image.
                email:
                  type: string
                  description: The email address associated with the user's account.
                getInvoiceEmail:
                  type: boolean
                  nullable: true
                getMarketingEmail:
                  type: boolean
                  nullable: true
                getMarketingText:
                  type: boolean
                  nullable: true
                getOrderItemRegistrationEmail:
                  type: boolean
                  nullable: true
                getOrderItemRegistrationText:
                  type: boolean
                  nullable: true
                getOrderItemResultEmail:
                  type: boolean
                  nullable: true
                getOrderItemResultText:
                  type: boolean
                  nullable: true
                getOrderItemStatusEmail:
                  type: boolean
                  nullable: true
                getOrderItemStatusText:
                  type: boolean
                  nullable: true
                getOrgMonthRandomsEmail:
                  type: boolean
                  nullable: true
                isSuspended:
                  type: boolean
                  nullable: true
                  description: Indicates whether the user's account is currently suspended.
                nameFirst:
                  type: string
                  description: The user's first name.
                nameLast:
                  type: string
                  description: The user's last name.
                nickname:
                  type: string
                phone:
                  type: string
                  description: The user's phone number.
                RoleId:
                  type: number
                  description: Identifier for the user's role or permission level.
                UserOverride:
                  type: array
                  items:
                    type: object
                    properties:
                      add:
                        type: string
                      blockDrop:
                        type: boolean
                        nullable: true
                      delete:
                        type: string
                      edit:
                        type: string
                      EntityId:
                        type: number
                      get:
                        type: string
                      UserId:
                        type: number
      responses:
        '200':
          description: Updated User
          content:
            application/json:
              schema:
                type: object
                properties:
                  avatar:
                    type: string
                    description: URL or identifier for the user's profile image.
                  DropId:
                    type: number
                    nullable: true
                    description: Identifier number for the tenant ID of the user.
                  email:
                    type: string
                    description: The email address associated with the user's account.
                  id:
                    type: number
                    description: Unique identifier for the user.
                  isInvited:
                    type: boolean
                    nullable: true
                    description: ' Indicates whether the user has been invited but not yet registered.'
                  isSuspended:
                    type: boolean
                    nullable: true
                    description: >-
                      Indicates whether the user's account is currently
                      suspended.
                  nameFirst:
                    type: string
                    description: The user's first name.
                  nameFirstLast:
                    type: string
                    description: The user's full name in 'First Last' format.
                  nameLast:
                    type: string
                    description: The user's last name.
                  PersonId:
                    type: number
                    nullable: true
                    description: >-
                      Identifier for the associated person record, nullable if
                      not linked.
                  phone:
                    type: string
                    description: The user's phone number.
                  RoleId:
                    type: number
                    description: Identifier for the user's role or permission level.
                  status:
                    type: string
                    description: >-
                      Current status of the user's account (e.g., active,
                      inactive, pending).
                required:
                  - avatar
                  - DropId
                  - email
                  - id
                  - isInvited
                  - isSuspended
                  - nameFirst
                  - nameFirstLast
                  - nameLast
                  - PersonId
                  - phone
                  - RoleId
                  - status
components:
  parameters:
    id:
      schema:
        $ref: '#/components/schemas/id'
      required: true
      name: id
      in: path
  schemas:
    id:
      type: number
      description: The ID of the entity for this request.
      example: 5

````